2005-01-29  Phil Blundell  <philb@gnu.org>

	* Version 0.51 released.

2004-11-25  Florian Boor  <florian.boor@kernelconcepts.de>

	* list-ui.c: Applied patch by Christian Gillot to toggle visibility
                 of completed tasks using the selection menu.
                 Changed column resizing to make sure summary colum gets
                 all remaining space.
                 Hide priority colum on small displays.

2004-11-18  Phil Blundell  <philb@gnu.org>

	* Version 0.50 released.

2004-11-18  Florian Boor  <florian.boor@kernelconcepts.de>

    * todo-ui.c: Fixed category dialog.

2004-10-11  Florian Boor  <florian.boor@kernelconcepts.de>

    * list-ui.c, todo-ui.c, todo.h: Added parameter for parent window to 
                                    edit_item()
    * todo-ui.c (edit_item): Changed window to become modal. Removed shadow
                             from viewport.


2004-09-22  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.49 released.

2004-09-21  Phil Blundell  <pb@nexus.co.uk>

	* list-ui.c (categories_menu): Apply patch from Chris Owen to
	correctly refresh main window if currently-showing category was
	deleted.  [Bug #1253]

2004-09-21  Florian Boor  <florian.boor@kernelconcepts.de>

    * list-ui.c (delete_completed_items): Changed type of dialog from 
                                          "error" to "question".
    * list-ui.c (sort_more_complex): New function providing improved sorting.

2004-09-15  Florian Boor  <florian.boor@kernelconcepts.de>

    * list-ui.c: Added patch by Chris Owen to add button for removing 
                 completed items.

2004-09-10  Florian Boor <florian@kernelconcepts.de>

	* list-ui.c (top_level): Removed hardcoded setting of toolbar style.
	* main.c: Added loading of new pixmaps.
	* list-ui.c (top_level): Added two additional colums (priority, date).
	* list-ui.c (toggle_completed): likewise
    * dot-box.png, bar-box.png: New files.
    
2004-08-28  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.48 released.

2004-08-22  Phil Blundell  <pb@nexus.co.uk>

	* list-ui.c (sort_by_priority): Swap sense of comparison.
	(refresh_items): Add missing assignment of g_slist_sort return
	value.

2004-06-23  Philip Blundell  <philb@gnu.org>

	* Version 0.47 released.

2004-06-23  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add nl, ru, sr, sk, sv, wa, es.

2004-03-25  Philip Blundell  <philb@gnu.org>

	* Makefile: Version 0.46 released.

2004-03-08  Philip Blundell  <philb@gnu.org>

	* Makefile (PACKAGE_CPPFLAGS, PACKAGE_CFLAGS, PACKAGE_LDFLAGS):
	Define and use instead of CPPFLAGS, CFLAGS and LDFLAGS.

2004-02-29  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.45 released.

2004-02-29  Phil Blundell  <pb@nexus.co.uk>

	* todo-ui.c (update_categories): Rebuild categories menu since
	list may have changed.

2004-02-25  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.44 released.

2004-02-25  Phil Blundell  <pb@nexus.co.uk>

	* todo-ui.c (edit_item): Cosmetic tweaks to avoid over-wide
	dialog.

2004-02-22  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.43 released.

2004-02-22  Phil Blundell  <pb@nexus.co.uk>

	* familiar/control (Depends): Demand libtododb 0.04.

	* Makefile (CPPFLAGS, LDFLAGS): Add libgpepimc.
	* main.c (main): Call gpe_pim_categories_init.
	* todo.h (edit_item): Second arg is int, not pointer.
	* list-ui.c (selected_category): Change type to int.
	(item_do_edit): Keep in step.
	(set_category): Likewise.
	(refresh_items): Likewise.
	(categories_menu): Likewise.  Get category list from libgpepimc.
	* todo-ui.c (destroy_user_data): Remove useless conditional.
	(categories_ok, categories_cancel, do_new_category): Deleted.
	(new_category): Deleted.
	(delete_category): Deleted.
	(categories_button_press_event): Deleted.
	(change_categories): Deleted.
	(build_categories_string): Use libgpepimc.
	(update_categories, change_categories): New.
	(edit_item): Get category list from libgpepimc.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* Version 0.42 released.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* list-ui.c (top_level): Cache pointers to tick-box and notick-box
	icons.
	(toggle_completed): Use them.
	(refresh_items): Likewise.  Sort items by priority.
	(sort_by_priority): New.

	* familiar/control1 (Depends): Demand libtododb >= 0.03.

	* todo-ui.c (edit_item): Move action buttons outside of scrolled
	window.  Rewrite handling of "state" menu; add ABANDONED.  Add new
	optionmenu for priority.
	(set_item_state, set_item_priority): New.
	(state_func_0, state_func_1, state_func_2): Deleted.
	(struct edit_todo): Add priority.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* Version 0.41 released.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* todo-ui.c (categories_ok): Commit changes to category list here.
	(do_new_category): Don't call todo_db_new_category.
	(delete_category): Fill in implementation.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* todo-ui.c (change_categories): Unref list store when window
	deleted.  Add cell renderers.
	(categories_button_press_event): New.
	(ui_create_new_category): Rename to ...
	(do_new_category): ... this.
	(categories_ok): Rewrite to work with GtkListStore.

	* list-ui.c (refresh_items): Delete useless variable.

2004-02-14  Phil Blundell  <pb@nexus.co.uk>

	* todo-ui.c (edit_item): Make categories box unconditional.

	* configure.c: Deleted.
	* todo.h (configure): Delete prototype.	
	* list-ui.c (top_level): Delete "configure" button.
	* Makefile (MEMBERS): Remove configure.

2004-02-14  Philip Blundell  <philb@gnu.org>

	* list-ui.c (item_do_edit, item_do_move, item_do_delete): New.
	(button_press_event): Pop up item menu on button 3 press.
	(button_release_event): Relocate conditional.
	(top_level): Generate item menu from factory.

2004-02-14  Philip Blundell  <philb@gnu.org>

	* tick-box.png, notick-box.png: New files.
	* Makefile (install-program): Install them.
	* main.c (my_icons): Remove tick.  Add tick-box, notick-box.
	* list-ui.c (purge_completed, show_hide_completed, draw_item,
	draw_expose_event, draw_click_event): Delete.
	(button_press_event, button_release_event, toggle_completed,
	open_editing_window): New.
	(refresh_items, top_level): Use GtkTreeView to render list of
	items.  Remove "purge" and "push down" icons from toolbar.

2004-01-17  Philip Blundell  <philb@gnu.org>

	* Version 0.40 released.

2004-01-17  Philip Blundell  <philb@gnu.org>

	* list-ui.c (top_level): Tweak packing flags on optionmenu in
	toolbar.

	* todo-ui.c (edit_item): Add missing viewport for scrolled
	window.  Set sensible default size on editing window.

2004-01-11  Charles Mason    <mason@csit.fsu.edu>

	* list-ui.c: cosmectic change.

2003-10-19  Philip Blundell  <philb@gnu.org>

	* Makefile (LDFLAGS): Remove -lsqlite.

2003-10-19  Philip Blundell  <philb@gnu.org>

	* Version 0.39 released.

2003-10-19  Philip Blundell  <philb@gnu.org>

	* Makefile (GTKCFLAGS, GTKLDFLAGS): Don't define.
	Use STANDARD_*FLAGS, GPECFLAGS, GPELIBS.

	* todo-ui.c (edit_item): Put whole dialog inside a
	GtkScrolledWindow.  [Bug #1024, reported by J.Manrique]

2003-10-09  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add cs.

2003-09-21  Philip Blundell  <philb@gnu.org>

	* Version 0.38 released.

2003-09-21  Philip Blundell  <philb@gnu.org>

	* main.c (open_window): Use gtk_main_quit not g_main_loop_quit.
	* list-ui.c (top_level): Likewise.	

2003-09-06  Philip Blundell  <philb@gnu.org>

	* Version 0.37 released.

2003-09-06  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Source): Added.

	* configure.c (new_category_box): Mark string for translation.
	Patch from Libor Klepac.

2003-07-13  Moray Allan  <moray@sermisy.org>

	* Version 0.36.1.
	* Changes for new name of libdisplaymigration.

2003-07-07  Moray Allan  <moray@sermisy.org>

	* Makefile (clean): Depend on clean-po target.

2003-07-06  Moray Allan  <moray@sermisy.org>

	* list-ui.c (draw_item): Removed legacy GTK1 code.

2003-06-22  Philip Blundell  <philb@gnu.org>

	* main.c (open_window): Hook delete-event signal, not destroy.

2003-07-06  Moray Allan  <moray@sermisy.org>

	* Makefile (install_program): Install .desktop file with .desktop
	filename extension. No longer install old-style menu file.

2003-05-09  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add ro.
	* po/ro.po: New file, courtesy Laurentiu Buzdugan.

2003-04-24  Philip Blundell  <philb@gnu.org>

	* po/de.po: Updated, courtesy Colin Marquardt.

2003-04-21  Philip Blundell  <philb@gnu.org>

	* Version 0.36 released.
	
2003-04-21  Philip Blundell  <philb@gnu.org>

	* Makefile (clean): Also remove .desktop file.

	* main.c (main): Call bind_textdomain_codeset.

2003-04-21  Philip Blundell  <philb@gnu.org>

	* po/fr.po: New file, courtesy Luc Pionchon.
	* Makefile (LINGUAS): Add fr.

2003-04-20  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add zh_TW.
	* po/zh_TW.po: New file, courtesy Chao-Hsiung Liao.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.35 released.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* Makefile: Remove GTK 1 support.  Set CFLAGS, LDFLAGS according
	to $(DEBUG).

2003-03-23  Damien Tanner  <dctanner@handhelds.org>

	* list-ui.c (top_level): Using stock icons.

2003-03-23  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile (CVSBUILD): New variable.
	(BUILD): New variable; use it.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.34 released.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* Makefile (install): Rename to install-program.

	* main.c (open_window): Use gtk_widget_show_all.

	* todo-ui.c (edit_item): Set border width on container.  Remove
	frame.  Set size for description widget.

	* list-ui.c (top_level): Remove GTK 1 support.  Use stock items
	for toolbar.  Use GObject in place of GtkObject.
	(purge_completed): Flip button order.

	* main.c (my_icons): Delete properties.
	(window_x, window_y): Deleted.

2003-03-19  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add pt.

 	* po/pt.po: New file from Translation Project, courtesy Luis
	Oliveira.

2003-03-16  Philip Blundell  <philb@gnu.org>

	* configure.c (new_category_box): Use GtkDialog.  Reorder buttons
	per HIG.  Make "OK" default.
	(configure): Remove GTK 1 support.  Use GtkDialog.  Remove useless
	frame.  Use stock items.  Replace gtk_widget_set_usize with
	gtk_window_set_default_size.

2003-03-13  Colin Marquardt  <colin@marquardt-home.de>

	* todo-ui.c (change_categories): Swap button order so as to
	conform to HIG. Make Ok button the default.

2003-03-08  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Depends): Add gpe-todo-locale*

	* po/id.po: New file from Translation Project.
	* Makefile (LINGUAS): Add id.

2003-03-07  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Depends): Remove sqlite.

2003-02-17  Philip Blundell  <philb@gnu.org>

	* Makefile (install): Depend on .desktop file.

	* gpe-todo.desktop.in: New file.
	* gpe-todo.desktop: Deleted.

2003-02-16  Philip Blundell  <philb@gnu.org>

	* Version 0.33 released.

2003-02-16  Philip Blundell  <philb@gnu.org>

	* Makefile (install): Don't depend on install-mo.  Use install -s.

	* list-ui.c (purge_completed): Use stock items for question dialog.

	* main.c (open_window): Use g_main_loop_quit in place of gtk_exit.
	(my_icons): Remove question.

	* list-ui.c (top_level): Likewise.	

	* todo-ui.c (edit_item): Remove call to gtk_widget_realize and
	GTK1 compatibility code.

	* list-ui.c (top_level): Replace gpe_render_icon with
	gtk_image_new_from_pixbuf.

	* todo-ui.c: Fix warning.
	* configure.c: Likewise.

2003-02-15  Phil Blundell <pb@handhelds.org>

	* Makefile (LINGUAS): Add de.

2003-02-14  Phil Blundell <pb@handhelds.org>

	* Version 0.32 released.

2003-01-29  Luis Oliveira  <luis@handhelds.org>

	* Makefile (CFLAGS): Add ../libtododb to include path.
	(MEMBERS): Removed todo-sql and old-db.
	(gpe-todo): Link against libtododb.
	* configure.c: Make use of libtododb (add todo_db_ prefix to 
	new_item(), push_item(), delete_item(), new_category() and
	del_category(). Also make use of todo_db_get_{categories|list}_list()
	instead of the old global vars.
	* list-ui.c: Likewise.
	* main.c: Likewise.
	* todo-ui.c: Likewise.
	* todo.h: Removed structs/functions/enums that are now in libtododb.
	* old-db.c: Removed file (now in libtododb).
	* todo-sql.c: Likewise.
	* todo-sqd.h: Likewise.

2003-01-18  Philip Blundell  <philb@gnu.org>

	* Version 0.31 released.

2003-01-18  Philip Blundell  <philb@gnu.org>

	* todo-sql.c (category_find_by_id): New function.
	(item_data_callback): Use it.
	(push_item): Save category ID, not pointer.

	* configure.c: Fix warnings.
	
	* configure.c (configure): Use stock icons.
	(new_category_box): Likewise.
	* todo-ui.c (edit_item): Likewise.
	* list-ui.c (top_level): Likewise.
	* main.c (my_icons): Remove now-redundant entries.

	* list-ui.c (top_level): Select for release events also.
	(draw_click_event): Only act on button 1.

2003-01-05  Philip Blundell  <philb@gnu.org>

	* Makefile (GTKCFLAGS): Remove -DGTK_ENABLE_BROKEN.

2003-01-05  Philip Blundell  <philb@gnu.org>

	* Version 0.30 released.

2003-01-05  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Depends): Add libdm0.

	* Makefile (gpe-todo): Link with -ldm.
	(CFLAGS): Add -I../libdm.

	* todo-ui.c (edit_item, click_ok): Replace GtkText with
	GtkTextBuffer.

	* todo-ui.c (edit_item): Mark window for migration.
	* configure.c (configure): Likewise.
	(new_category_box): Likewise.
	* main.c (open_window): Likewise.
	(main): Call libdm_init.

	* list-ui.c (item_layout): Delete.
	(draw_item): Create a new layout each time, and unref it
	afterwards.

2003-01-01  Philip Blundell  <philb@gnu.org>

	* gpe-todo.desktop (SingleInstance): Set to true.

	* configure.c (new_category_box): Set title and icon on
	configuration window.

2002-12-24  Philip Blundell  <pb@nexus.co.uk>

	* Version 0.29 released.

2002-12-24  Philip Blundell  <philb@gnu.org>

	* todo-ui.c (edit_item): Handle categories correctly when creating
	new item.

2002-12-24  Philip Blundell  <pb@nexus.co.uk>

	* Version 0.28 released.

2002-12-24  Philip Blundell  <pb@nexus.co.uk>

	* familiar/control1 (Depends): Require libgpewidget 0.33.

2002-12-22  Philip Blundell  <philb@gnu.org>

	* main.c (set_window_icon): Delete.
	(open_window): Use gpe_set_window_icon instead.
	* todo-ui.c (change_categories): Likewise.
	(edit_item): Likewise.
	* todo.h (set_window_icon): Delete prototype.

2002-12-22  Philip Blundell  <philb@gnu.org>

	* main.c (my_icons): Add clean.
	(set_window_icon): New function.
	(open_window): Call it.  Set default window size to 240x320.
	* list-ui.c (category_matches): Delete.
	(refresh_items): Categories list contains pointers, not ID
	values.  Use g_slist_find in place of category_matches.	
	* todo.h (set_window_icon): Add prototype.
	(category_matches): Delete.
	* todo-ui.c (struct edit_todo): Delete category_map.  Add
	selected_categories, category_label.
	(destroy_user_data): Remove references to deleted fields.  Do a
	shallow free of selected_categories.
	(click_ok): Just copy selected category list from edit struct.
	(build_categories_string): New function.
	(categories_cancel: Likewise.
	(categories_ok): Likewise.
	(change_categories): Likewise.
	(edit_item): Replace frame containing list of categories with a
	label and a button.  Set icon on dialog window.

2002-12-07  Philip Blundell  <philb@gnu.org>

	* gpe-todo.desktop: New file.
	* Makefile (install): Install it.
	Patch from Matthew Allum <breakfast@10.am>

2002-11-30  Philip Blundell  <philb@gnu.org>

	* list-ui.c (categories_menu): Replace "*all*" with "All items".

	* Makefile (LINGUAS): Define.

2002-11-28  Philip Blundell  <philb@gnu.org>

	* Version 0.27 released.

2002-11-28  Philip Blundell  <philb@gnu.org>

	* todo-sql.c (item_data_callback): Handle DUE tag.

	* Makefile (GTK2): Default on.
	
2002-11-25  Philip Blundell  <philb@gnu.org>

	* todo-ui.c (edit_item): New argument initial_category.
	* todo.h (edit_item): Keep prototype in step.
	* list-ui.c: Update calls to above function.
	(draw_click_event): Open item on single not double click.
	Patch from Michael Smith <michael@hurts.ca>
	
2002-10-06  Philip Blundell  <philb@gnu.org>

	* main.c (open_window): Set window title.

2002-10-06  Philip Blundell  <philb@gnu.org>

	* Version 0.26 released.

2002-10-06  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Provides, Replaces): Add.

	* list-ui.c (draw_item): Cope with NULL summary.
	* todo-sql.c (push_item): Only write out summary and description
	if not NULL.

	* gpe-todo.png: Revert Colin's last change.

2002-10-03  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-todo.png: New icon from
	http://art.gnome.org/show_icons.php?type=other&page=14.
        The old one really looked out of place.

2002-09-30  Philip Blundell  <philb@gnu.org>

	* familiar/control (Depends): Demand gpe-icons 0.15 or later.

	* todo-ui.c (click_cancel): Remove unnecessary gtk_widget_hide.
	(click_delete): Likewise.
	(click_ok): Likewise.
	(edit_item): Fix warnings with GTK 2.

	* main.c (my_icons): Add tick.
	* list-ui.c (draw_expose_event): Fix warnings with GTK 2.
	Remove references to tick.xpm and box.xpm.  Pass extra parameter
	"event" to draw_item.  Obtain reference to "tick" icon.
	(draw_item): New parameter "event".  Rewrite handling of
	completion checkbox.  Support Pango properly.
	* tick.xpm, box.xpm: Deleted.

2002-09-29  Philip Blundell  <philb@gnu.org>

	* todo-sql.c: Don't define _XOPEN_SOURCE here.
	(converted_category): Reformat.  Fix warning.
	* Makefile (CPPFLAGS): Add -D_GNU_SOURCE.

2002-09-29  Philip Blundell  <philb@gnu.org>

	* Version 0.23 released.

2002-09-29  Philip Blundell  <philb@gnu.org>

	* main.c (hide): Deleted.
	(my_icons): Add question.  Remove redundant strings.
	* todo.h (hide): Likewise.
	* list-ui.c (draw_item): New function, broken out of
	draw_expose_event.
	(draw_expose_event): Use i->was_complete to determine sort order.
	Remove unused variables.
	(show_hide_completed): Just update i->was_complete for each item.
	(purge_completed): Ask user for confirmation.
	(top_level): Update tooltip for "hide" icon.
	* old-db.c (list_callback0): Remove unnecessary return.
	(item_callback0): Reformat.
	(convert_old_db): Remove useless error handling.
	(converted_item, converted_category): Delete prototypes.
	* todo.h (struct todo_item): Add "was_complete".
	(push_item): Return gboolean.
	* todo-sql.h (converted_item, converted_category): New prototypes.
	* todo-sql.c (converted_item): Return gboolean.
	(push_item): Likewise.
	(item_callback): Set was_complete if appropriate.

2002-09-05  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* todo-sql.c : add "converted" subroutines to add stuff from old schema

	* todo-sql.c : implemented upgrade from old schema and versioning table

	* old-db.c : add this to do the upgrade

2002-09-01  Philip Blundell  <philb@gnu.org>

	* Version 0.21 released.
	
2002-09-01  Philip Blundell  <philb@gnu.org>

	* list-ui.c (refresh_items): Set size of drawing area.

2002-08-25  Philip Blundell  <philb@gnu.org>

	* Makefile: Use Makefile.translation.
	* po/Makefile: Deleted.

2002-08-23  Philip Blundell  <philb@gnu.org>

	* todo.h: Add support for GTK 2.
	* Makefile: Likewise.	
	* list-ui.c: Likewise.
	* configure.c: Likewise.
	* todo-ui.c: Likewise.	

	* configure.c: Fix inclusion of libgpewidget headers.
	* main.c: Likewise.
	* todo-ui.c: Likewise.
	* list-ui.c: Likewise.
	* todo-sql.c: Likewise.

2002-08-03  Philip Blundell  <philb@gnu.org>

	* list-ui.c (new_todo_item): Use edit_item.  Remove use of
	curr_list.
	(set_cur_list): Delete.
	(set_category): New.
	(ui_del_list): Delete.
	(ui_create_new_list): Likewise.
	(categories_menu): New.
	(close_window, close_configure, configure): Delete.
	(new_todo_item): New.
	(draw_expose_event): Use display_items.
	(draw_click_event): Likewise.  Ignore double clicks on checkbox
	icon.
	(category_matches): New.
	(refresh_items): New.
	(top_level): Replace lists with categories.  Tweak tooltips.

	* Makefile (ipkg): Delete; replaced by Makefile.dpkg_ipkg.
	
	* main.c (main): Don't force window size.

	* configure.c: New file.
	* Makefile (MEMBERS): Add configure.

	* todo-sql.c (new_category_internal): New.
	(new_category): Likewise.
	(del_category): Likewise.
	(item_data_callback): Likewise.
	(item_callback): Use new database format.
	(push_item): Likewise.
	(sql_start): Likewise.  Don't create ~/.gpe.
	(category_callback): New.
	(new_item): Likewise.
	(sql_add_list): Delete.
	(del_list): Likewise.
	(add_item_sql): Likewise.
	(add_new_item): Likewise.
	(new_unique_id): Likewise.
	(add_new_item_internal): Likewise.
	(delete_item): Use new database format.  Take only one argument.
	
	* todo-ui.c (edit_item): Renamed from edit_todo.  Add frame
	containing check buttons for all categories.  Don't force window
	size.
	(struct category_map): New.
	(struct edit_todo: Add category_map.
	(destroy_user_data): Free category_map list.
	(click_delete): Call refresh_items.  Pass only one arg to
	delete_item.
	(click_ok): Free old summary and description if not NULL.  Set new
	summary and description only if not empty.  Use new_item.

	* todo.h: Add copyright header and multiple inclusion guard.
	(struct todo_list): Delete.
	(struct todo_category): New.
	(edit_todo, lists, new_list, del_list, add_new_event, sql_add_item): Delete.
	(categories, items): New declarations.
	(delete_item): Take only one argument.
	(new_category, del_category): New prototypes.
	(configure, categories_menu, refresh_items): Likewise.

2002-07-11  Philip Blundell  <philb@gnu.org>

	* list-ui.c (new_todo_item): Display error if curr_list is NULL.
	(purge_completed): Avoid segfault when no lists defined.
	(configure): Tweak UI.
	(new_list_box): Try to position dialog near pointer.

2002-07-29  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-todo.menu: Give full path to icon. Move to section PIM (to
	conform to http://familiar.handhelds.org/policy/menu.html).

2002-07-13  Philip Blundell  <philb@gnu.org>

	* list-ui.c: Fix warnings.
	* todo-ui.c: Likewise.

	* main.c (main): Remove call to what_init.

2002-07-10  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* main.c : add "hide" to the my_icons list

	* todo-ui.c (click_delete): erase/close window when delete is clicked

2002-06-23  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* main.c : Include a global "hide" (to become a "preference" eventually)

	* todo.h : add position integer to todo_item for new sorting
	
	* list-ui.c (top-level): add show/hide menu icon (show_hide_completed
	toggles "hide" global)
	
	* list-ui.c (draw_expose_event): iterate twice so that completed
	events are either not drawn or drawn at bottom (set item->pos for
	clicking)

	* list-ui.c (draw_click_event): Scroll through since items are no
	longer sorted in the same way

2002-06-23  Philip Blundell  <philb@gnu.org>

	* main.c (open_window): Set icon before mapping window so WM
	notices it.

	* Version 0.10 released.

2002-06-22  Philip Blundell  <philb@gnu.org>

	* Version 0.09 released.

2002-06-21  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* list-ui.c: Push changes to items when clicked from main window.

2002-06-21  Philip Blundell  <pb@debian.org>

	* main.c: Set icon for window manager.

2002-06-21  Philip Blundell  <pb@debian.org>

	* familiar/control (Depends): Require libgpewidget 0.08.

	* Version 0.08 released.

2002-06-20  Philip Blundell  <pb@debian.org>

	* main.c (main): Call what_init.

2002-06-17  Philip Blundell  <pb@debian.org>

	* Makefile: Add dependency tracking and "update-po" rule.
	* po/gpe-todo.pot: Update.

2002-06-17  Philip Blundell  <pb@debian.org>

	* main.c: Convert to new-style pixmap management.
	* list-ui.c: Likewise.  Improve tooltips.
	(ui_create_new_list): Disallow blank title.
	* todo-ui.c (edit_todo): Add picture buttons.

2002-06-16  Philip Blundell  <pb@debian.org>

	* Makefile (gpe-todo): Don't include gdk_imlib in link.
	(CFLAGS): Add gdk-pixbuf flags.
	(ipkg): Expect files in familiar.

	* control, postinst: Moved to ...
	* familiar/control, familiar/postinst: ... here.

	* .cvsignore: New file.
